Как установить Skype в debian 9 — Установка Skype на Debian и Ubuntu

Установка Skype на Debian

Skype — бесплатное проприетарное программное обеспечение с закрытым кодом, обеспечивающее текстовую, голосовую связь и видеосвязь через Интернет между компьютерами (IP-телефония), опционально используя технологии пиринговых сетей, а также платные услуги для звонков на мобильные и стационарные телефоны. Skype имеет 663 миллиона пользователей по состоянию на конец 2010 года. Большинство разработчиков и 44 % работников общего отдела находятся в Таллине и Тарту, Эстония

Skype доступен для архитектур amd64 и i386 для Debian 5 и новее. Вообще, последние версии пакетов могут быть найдены на веб-сайте Skype

32-битный / i386

Пакет i386 хорошо работает со стандартной системой Debian 7 i386. Для установки, введите следующую команду в терминал:

Если потребуется, установите требуемые зависимости следующей командой:

64-битный / amd64

Начиная с Wheezy, Debian поддерживает Multi-Arch. Пакеты Skype для системы i386 будут хорошо работать с Multi-Arch.

Для начала вы должны включить Multi-Arch, введя следующую команду в терминал:

После этого, скачайте i386 пакет и установите его:

Если потребуется, установите требуемые зависимости следующей командой:

Готово, Skype установлен. Наслаждайтесь.

Примечание: Если вы используете Gnome 3, для доступа в меню Skype, переместите курсор мыши в правую нижнюю часть экрана, потом кликните правой кнопкой мыши на иконку Skype

Часто задаваемые вопросы (F.A.Q.) по 64-бит

Вопрос: Skype не запускается, когда я нажимаю на Skype Launcher? Аналогчино и с помощью терминала, он возвращает ошибку «symbol lookup error» Ответ: Используя терминал, введите следующую команду для запуска Skype

Примечания:

  • Эта команда — обходной путь, она запускает Skype из терминала и использует i386 библиотеки находящиеся в /usr/lib/i386-linux-gnu/
  • Полная первая часть сообщения об ошибке гласит:
  • Это при условии, что у вас установлен пакет skype:i386, а не amd64/64-битный пакет.
  • Эта ошибка связана с текущим включением Multi-Arch, который позволяет использовать библиотеки от других архитектур.

Вопрос: Не удалось установить libqtwebkit4:i386 ?

Ответ: Если apt-get не удалось установить libqtwebkit4:i386 как зависимость, попробуйте использовать aptitude (если вы знаете, что вы делаете)

Вы можете использовать версию skype-debian_2.2.0.35-1_amd64.deb (новые версии имеют пробелмы с ассоциацией с pulseaudio). Можно отредактировать deb пакет, чтобы исправить зависимости для Wheezy — control file должен иметь:

Depends: libstdc++6 (>= 4.1.1-21), libasound2 (>> 1.0.14), libc6 (>= 2.13-1), libgcc1 (>= 1:4.1.1-21)

Вопрос: Проблемы со звуком ?

Ответ: Если у вас есть проблемы со звуком, у вас может отсутствовать libpulse. Вы можете установить его:

Если у вас pulseaudio 4 и Skype 4.2 имеют неправильный звук, используйте следующее решение:

1) PULSE_LATENCY_MSEC переменная (из skype forum):

2) В файле /etc/pulse/default.pa замените строку (из http://pc-freak.net):

на

и перезапустите Pulseaudio server.

Debian 6 «Squeeze»

Веб-сайт Skype больше не предлагает пакеты предназначенные для Debian 6.0: только для Debian 7. В Skype public bug-tracking system уже было доложено об этой ошибке (новые deb пакеты не работают также хорошо как skype debian_2.2.0.35-1_amd64.deb — действительно, самое время перейти на linphone).

http://download.skype.com/linux/skype-debian_4.0.0.7-1_i386.deb работает на Debian 6.0. Неизвестно будут ли новые пакеты Skype работать на Debian 6.0.

Если вы хотите использовать MSN Messenger и поддержку Facebook, вам потребуется Skype 4.1. http://download.skype.com/linux/skype-ubuntu-lucid_4.1.0.20-1_i386.deb — несмотря на имя файла — кажется, он хорошо работает на Debian 6.0. Skype 4.1 еще не рассматривался официально на этой Wiki.

http://download.skype.com/linux/skype-debian_4.1.0.20-1_i386.deb не работает на Debian 6.0.6. Даже когда вы устанавливаете его принудительно, пакет не запускается.

http://download.skype.com/linux/skype-debian_4.0.0.7-1_i386.deb работает на Debian 6.0.0×86_64 несмотря на несоответствие архитектур, вы можете установить:

и запустить:

Путь и файлы

Пакет устанавилвает в /usr/bin, некоторые файлы в /usr/share и немного документации в /usr/doc. Конфигурационный файл для dbus кладется в /etc/dbus-1/system.d/.

Lintian

Обратите внимание, этот лог изменений включен только для целей «соответствия». Это не актуальный список того, что изменилось от версии к версии, и нет истории версий распространяющейся без него.

Источник информации для статьи wiki.debian.org
Поделиться:
Нет комментариев

Добавить комментарий

Ваш e-mail не будет опубликован. Все поля обязательны для заполнения.

Этот сайт использует Akismet для борьбы со спамом. Узнайте как обрабатываются ваши данные комментариев.